| Home | Libraries | People | FAQ | More

## BoostBook element `librarycategorydef`

librarycategorydef — Defines a new library category

## Synopsis

librarycategorydef ::= (#PCDATA)

## Description

All library category definitions should be in `doc/src/boost.xml`, and the names of categories must be prefixed with "`category:`".

## Attributes

Name | Type | Value | Purpose
--- | --- | --- | ---
last-revision | #IMPLIED | CDATA | Set to $Date: 2006/11/03 19:39:44 $ to keep "last revised" information in sync with CVS changes
name | #REQUIRED | CDATA | The name of the element being declared to referenced
id | #IMPLIED | CDATA | A global identifier for this element
xml:base | #IMPLIED | CDATA | Implementation detail used by XIncludes

| Copyright © 2003-2005 Douglas Gregor